import { Base, INotifyPropertyChanged, Type, IEnumerable, PropertyChangedEventArgs, Point } from "igniteui-angular-core";
import { IDataLegendTarget } from "igniteui-angular-core";
import { IToolbarTarget } from "igniteui-angular-core";
import { IDomainChartLike } from "./IDomainChartLike";
import { List$1 } from "igniteui-angular-core";
import { Brush } from "igniteui-angular-core";
import { IDomainChartWidget } from "./IDomainChartWidget";
import { XamDataChart } from "./XamDataChart";
import { DataSeriesAdapterImplementation } from "igniteui-angular-core";
import { DataSeriesType } from "igniteui-angular-core";
import { IDataSeriesAdapterRule } from "igniteui-angular-core";
import { MarkerType } from "./MarkerType";
import { IAnnotationLayerProxy } from "./IAnnotationLayerProxy";
import { Color } from "igniteui-angular-core";
import { IDomainChartToolbarProvider } from "./IDomainChartToolbarProvider";
import { ToolCommand } from "igniteui-angular-core";
import { DataToolTipLayerGroupingMode } from "igniteui-angular-core";
import { DataTooltipGroupedPositionX } from "igniteui-angular-core";
import { DataTooltipGroupedPositionY } from "igniteui-angular-core";
import { DataAbbreviationMode } from "igniteui-angular-core";
import { DataLegendValueMode } from "igniteui-angular-core";
import { Thickness } from "igniteui-angular-core";
import { FontInfo } from "igniteui-angular-core";
import { DataLegendHeaderDateMode } from "igniteui-angular-core";
import { DataLegendHeaderTimeMode } from "igniteui-angular-core";
import { DataLegendSummaryType } from "igniteui-angular-core";
import { LegendItemBadgeShape } from "igniteui-angular-core";
import { DataLegendUnitsMode } from "igniteui-angular-core";
import { DataLegendLabelMode } from "igniteui-angular-core";
import { DomainType } from "./DomainType";
import { ChartSortDescriptionCollection } from "./ChartSortDescriptionCollection";
import { FilterExpressionCollection } from "igniteui-angular-core";
import { ChartSummaryDescriptionCollection } from "./ChartSummaryDescriptionCollection";
import { SeriesSelectionMode } from "./SeriesSelectionMode";
import { SeriesSelectionBehavior } from "./SeriesSelectionBehavior";
import { ChartSelectedItemCollection } from "./ChartSelectedItemCollection";
import { FilterStringErrorsParsingEventArgs } from "./FilterStringErrorsParsingEventArgs";
import { BrushCollection } from "igniteui-angular-core";
import { IChartLegend } from "igniteui-angular-core";
import { SeriesHighlightedValuesDisplayMode } from "igniteui-angular-core";
import { Visibility } from "igniteui-angular-core";
import { Rect } from "igniteui-angular-core";
import { HorizontalAlignment } from "igniteui-angular-core";
import { UnknownValuePlotting } from "igniteui-angular-core";
import { SeriesOutlineMode } from "./SeriesOutlineMode";
import { MarkerOutlineMode } from "./MarkerOutlineMode";
import { MarkerFillMode } from "./MarkerFillMode";
import { MarkerTypeCollection } from "./MarkerTypeCollection";
import { MarkerAutomaticBehavior } from "./MarkerAutomaticBehavior";
import { TrendLineType } from "igniteui-angular-core";
import { TrendLineTypeCollection } from "./TrendLineTypeCollection";
import { ComputedPlotAreaMarginMode } from "./ComputedPlotAreaMarginMode";
import { SeriesPlotAreaMarginHorizontalMode } from "./SeriesPlotAreaMarginHorizontalMode";
import { SeriesPlotAreaMarginVerticalMode } from "./SeriesPlotAreaMarginVerticalMode";
import { SeriesHighlightingMode } from "./SeriesHighlightingMode";
import { SeriesHighlightingBehavior } from "./SeriesHighlightingBehavior";
import { LegendHighlightingMode } from "./LegendHighlightingMode";
import { LegendItemBadgeMode } from "igniteui-angular-core";
import { ToolTipType } from "./ToolTipType";
import { CrosshairsDisplayMode } from "./CrosshairsDisplayMode";
import { CalloutCollisionMode } from "igniteui-angular-core";
import { CalloutPlacementPositionsCollection } from "./CalloutPlacementPositionsCollection";
import { ValueModeCollection } from "./ValueModeCollection";
import { SeriesViewerScrollbarMode } from "./SeriesViewerScrollbarMode";
import { SeriesViewerHorizontalScrollbarPosition } from "./SeriesViewerHorizontalScrollbarPosition";
import { SeriesViewerVerticalScrollbarPosition } from "./SeriesViewerVerticalScrollbarPosition";
import { Series } from "./Series";
import { DataSeries } from "igniteui-angular-core";
import { IDataLegend } from "igniteui-angular-core";
import { ICommandStateChangedListener } from "igniteui-angular-core";
import { Axis } from "./Axis";
import { ObservableColorCollection } from "igniteui-angular-core";
import { DataSeriesMarker } from "igniteui-angular-core";
import { IDataLegendSeries } from "igniteui-angular-core";
import { ToolActionInfo } from "igniteui-angular-core";
import { IToolbarContextAccessor } from "igniteui-angular-core";
import { ToolCommandExecutionState } from "igniteui-angular-core";
import { ICommandAvailabilityListener } from "igniteui-angular-core";
import { ChartSeriesEventArgs } from "./ChartSeriesEventArgs";
import { DomainChartSeriesPointerEventArgs } from "./DomainChartSeriesPointerEventArgs";
import { DomainChartPlotAreaPointerEventArgs } from "./DomainChartPlotAreaPointerEventArgs";
import { CalloutStyleUpdatingEventArgs } from "./CalloutStyleUpdatingEventArgs";
import { CalloutRenderStyleUpdatingEventArgs } from "./CalloutRenderStyleUpdatingEventArgs";
import { CalloutLabelUpdatingEventArgs } from "./CalloutLabelUpdatingEventArgs";
import { SeriesViewerSelectedSeriesItemsChangedEventArgs } from "./SeriesViewerSelectedSeriesItemsChangedEventArgs";
import { DataSourcePropertiesRequestedChangedEventArgs } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare abstract class DomainChart extends Base implements INotifyPropertyChanged, IDataLegendTarget, IToolbarTarget, IDomainChartLike {
    static $t: Type;
    protected mb: any;
    provideContainer(a: any): void;
    destroy(): void;
    private vv;
    protected vw(): void;
    protected vs(a: XamDataChart): void;
    protected vp(): void;
    protected vy(a: Series, b: number): void;
    protected wr(a: string, b: any, c: any): void;
    private l8;
    get tooltipTemplate(): any;
    set tooltipTemplate(a: any);
    private h1;
    get tooltipTemplates(): List$1<any>;
    set tooltipTemplates(a: List$1<any>);
    private iz;
    get kc(): number;
    set kc(a: number);
    private l7;
    private get toolTip();
    private set toolTip(value);
    private jc;
    get kp(): number;
    set kp(a: number);
    private jd;
    get kq(): number;
    set kq(a: number);
    private je;
    get kr(): number;
    set kr(a: number);
    private jb;
    get ko(): number;
    set ko(a: number);
    private i7;
    get kk(): number;
    set kk(a: number);
    private i9;
    get km(): number;
    set km(a: number);
    private i8;
    get kl(): number;
    set kl(a: number);
    private i6;
    get kj(): number;
    set kj(a: number);
    private yu;
    get zv(): Brush;
    set zv(a: Brush);
    private yv;
    get zw(): Brush;
    set zw(a: Brush);
    private iw;
    protected get_j9(): number;
    protected set_j9(a: number): void;
    get j9(): number;
    set j9(a: number);
    private jf;
    get ks(): number;
    set ks(a: number);
    private i5;
    get ki(): number;
    set ki(a: number);
    private ig;
    get ju(): number;
    set ju(a: number);
    private lm;
    get l1(): number;
    set l1(a: number);
    private eu;
    get ev(): (time: number) => number;
    set ev(a: (time: number) => number);
    private lh;
    get lx(): number;
    set lx(a: number);
    private lk;
    get l0(): number;
    set l0(a: number);
    private lf;
    get lv(): number;
    set lv(a: number);
    protected vt(a: XamDataChart): void;
    protected vz(a: Series, b: number): void;
    protected vq(): void;
    private v0;
    k6: (arg1: HTMLElement) => any[];
    private xu;
    private md;
    private hk;
    private k7;
    protected ws(a: string, b: any, c: any): void;
    private cl;
    get cm(): IDomainChartWidget;
    set cm(a: IDomainChartWidget);
    private m8;
    get tj(): string;
    set tj(a: string);
    private na;
    get tu(): string;
    set tu(a: string);
    private ei;
    get dataChart(): XamDataChart;
    set dataChart(a: XamDataChart);
    bg: DataSeriesAdapterImplementation;
    get currentDataAdapter(): DataSeriesAdapterImplementation;
    private f4;
    private fk;
    sendCommandCompleted(a: ToolCommand): void;
    captureTargetImageToClipboard(a: (arg1: any, arg2: any) => void): void;
    private wk;
    bh: DataSeriesAdapterImplementation;
    private f8;
    private f7;
    get isDetached(): boolean;
    onDetachedFromUI(): void;
    onAttachedToUI(): void;
    constructor();
    protected vu(): void;
    private xs;
    private xr;
    private xt;
    bi(a: boolean): DataSeriesAdapterImplementation;
    protected abstract get h7(): List$1<DataSeriesType>;
    protected abstract get h6(): List$1<IDataSeriesAdapterRule>;
    protected h5: List$1<MarkerType>;
    protected hf(a: DataSeriesType): boolean;
    notifyResized(): void;
    v9(): void;
    ve(): void;
    vn(): void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    seriesDataChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    protected w6(a: string): void;
    protected abstract vf(a: (arg1: Axis) => void, b: boolean): void;
    protected vg(a: (arg1: Series) => void): void;
    protected vh(a: (arg1: Series, arg2: number) => void): void;
    protected vl(a: (arg1: Series) => void): void;
    protected vm(a: (arg1: Series, arg2: number) => void): void;
    protected vj(a: (arg1: Series) => void): void;
    protected vk(a: (arg1: Series, arg2: number) => void): void;
    xi(): void;
    protected wb(a: (arg1: XamDataChart) => void): void;
    protected wc(a: (arg1: XamDataChart) => void, b: boolean): void;
    protected wd(a: (arg1: XamDataChart) => void, b: boolean, c: string): void;
    protected hh(a: DataSeries): boolean;
    protected g7(): boolean;
    private static readonly mm;
    private ll;
    protected q9(a: DataSeries): string;
    private static ml;
    protected ra(a: DataSeries, b: DataSeriesType): string;
    protected abstract bf(a: DataSeries): DataSeriesType;
    protected abstract dd(a: DataSeries, b: DataSeriesType): Series;
    q8(): string;
    private hd;
    private hc;
    protected wu(): void;
    protected u5(): void;
    private xv;
    private u4;
    private hw;
    protected ib(a: DataSeries): IEnumerable;
    protected ic(a: DataSeries): IEnumerable;
    private vd;
    private g3;
    protected xl(): void;
    protected dg(seriesType_: DataSeriesType): Series;
    private c7;
    private c9;
    private db;
    private dc;
    private c8;
    private da;
    private df;
    private de;
    private ce;
    protected get cf(): IAnnotationLayerProxy;
    private get g2();
    protected g5(a: Series): boolean;
    private xw;
    protected g8(): boolean;
    protected g9(): boolean;
    protected get_g6(): boolean;
    protected get g6(): boolean;
    protected h3(a: string, b: boolean): List$1<Series>;
    private uy;
    private ux;
    protected u6(a: Series, b: boolean): void;
    protected hl(): boolean;
    protected xq(a: Series, b: Series, c: DataSeries): void;
    protected abstract xk(a: DataSeries): void;
    protected abstract xj(a: DataSeries): void;
    protected xn(): void;
    wh(): void;
    private xo;
    protected xp(a: Series): void;
    protected abstract xm(): void;
    private we;
    private wj;
    protected va(): void;
    protected hr: boolean;
    protected vb(): void;
    protected zn(a: number): Brush;
    protected zq(a: number): Brush;
    protected zo(a: number): Brush;
    protected zp(a: number): Brush;
    protected zz(a: number): Color;
    protected fi(a: Color): ObservableColorCollection;
    protected aa(a: Color): BrushCollection;
    protected h0: List$1<Color>;
    protected get h2(): List$1<Color>;
    protected get_hp(): boolean;
    protected get hp(): boolean;
    mc(): any;
    v2(a: string, b: string): void;
    v3(a: string, b: string, c: Series): void;
    c1(a: DataSeriesMarker): MarkerType;
    private ci;
    private ga;
    attachDataLegend(a: IDataLegend): void;
    protected u3(a: IDataLegend): void;
    detachDataLegend(a: IDataLegend): void;
    protected u9(a: IDataLegend): void;
    getDataLegendSeries(): IDataLegendSeries[];
    protected o(): IDataLegendSeries[];
    zoomIn(a: number): void;
    zoomOut(a: number): void;
    resetZoom(): void;
    protected get_hg(): boolean;
    get hg(): boolean;
    private cj;
    get ck(): IDomainChartToolbarProvider;
    private wo;
    getDesiredToolbarActions(): ToolActionInfo[];
    onToolCommandExecuting(a: ToolCommand): ToolCommandExecutionState;
    private _commandCompleted;
    get commandCompleted(): (arg1: ToolCommand) => void;
    set commandCompleted(a: (arg1: ToolCommand) => void);
    private _invalidateActions;
    get invalidateActions(): () => void;
    set invalidateActions(a: () => void);
    private hx;
    provideContextAccessor(a: IToolbarContextAccessor): void;
    dismissContextAccessor(a: IToolbarContextAccessor): void;
    private v1;
    addCommandAvailabilityListener(a: ICommandAvailabilityListener): void;
    removeCommandAvailabilityListener(a: ICommandAvailabilityListener): void;
    private hy;
    addCommandStateChangedListener(a: ICommandStateChangedListener): void;
    removeCommandStateChangedListener(a: ICommandStateChangedListener): void;
    notifySeriesDataChanged(): void;
    v8(source_: any, a: number, b: any, c: any): void;
    v4(source_: any): void;
    v5(source_: any, a: number, b: any): void;
    v6(source_: any, a: number, b: any): void;
    private bz;
    get b0(): DataToolTipLayerGroupingMode;
    set b0(a: DataToolTipLayerGroupingMode);
    private il;
    get jz(): number;
    set jz(a: number);
    private im;
    get j0(): number;
    set j0(a: number);
    private ij;
    get jx(): number;
    set jx(a: number);
    private ik;
    get jy(): number;
    set jy(a: number);
    private bv;
    get bw(): DataTooltipGroupedPositionX;
    set bw(a: DataTooltipGroupedPositionX);
    private bx;
    get by(): DataTooltipGroupedPositionY;
    set by(a: DataTooltipGroupedPositionY);
    private f0;
    get gy(): boolean;
    set gy(a: boolean);
    static readonly pq: string;
    get m(): string[];
    set m(a: string[]);
    private e;
    get j(): string[];
    set j(a: string[]);
    private b;
    get l(): string[];
    set l(a: string[]);
    private d;
    get i(): string[];
    set i(a: string[]);
    private a;
    get be(): DataAbbreviationMode;
    set be(a: DataAbbreviationMode);
    private bd;
    get lr(): number;
    set lr(a: number);
    private lb;
    get ls(): number;
    set ls(a: number);
    private lc;
    get bu(): DataLegendValueMode;
    set bu(a: DataLegendValueMode);
    private bt;
    get qi(): string;
    set qi(a: string);
    private my;
    get gz(): boolean;
    set gz(a: boolean);
    private f1;
    get qo(): string;
    set qo(a: string);
    private mz;
    get n(): any[];
    set n(a: any[]);
    private f;
    get aap(): Thickness;
    set aap(a: Thickness);
    private aad;
    get g0(): boolean;
    set g0(a: boolean);
    private f2;
    get qx(): string;
    set qx(a: string);
    private m0;
    get g1(): boolean;
    set g1(a: boolean);
    private f3;
    get aaq(): Thickness;
    set aaq(a: Thickness);
    private aae;
    get zj(): Brush;
    set zj(a: Brush);
    private yn;
    private e6;
    get fh(): FontInfo;
    set fh(a: FontInfo);
    get o8(): string;
    set o8(a: string);
    private ms;
    get k(): any[];
    set k(a: any[]);
    private c;
    get o4(): string;
    set o4(a: string);
    private mr;
    get bk(): DataLegendHeaderDateMode;
    set bk(a: DataLegendHeaderDateMode);
    private bj;
    get bm(): DataLegendHeaderTimeMode;
    set bm(a: DataLegendHeaderTimeMode);
    private bl;
    get pd(): string;
    set pd(a: string);
    private mt;
    get zb(): Brush;
    set zb(a: Brush);
    private yf;
    get aaj(): Thickness;
    set aaj(a: Thickness);
    private z7;
    get aai(): Thickness;
    set aai(a: Thickness);
    private z6;
    get gx(): boolean;
    set gx(a: boolean);
    private fz;
    private ey;
    get e9(): FontInfo;
    set e9(a: FontInfo);
    get za(): Brush;
    set za(a: Brush);
    private ye;
    get aah(): Thickness;
    set aah(a: Thickness);
    private z5;
    get aag(): Thickness;
    set aag(a: Thickness);
    private z4;
    get gw(): boolean;
    set gw(a: boolean);
    private fy;
    private ex;
    get e8(): FontInfo;
    set e8(a: FontInfo);
    get ze(): Brush;
    set ze(a: Brush);
    private yi;
    private e1;
    get fc(): FontInfo;
    set fc(a: FontInfo);
    get bq(): DataLegendSummaryType;
    set bq(a: DataLegendSummaryType);
    private bp;
    get pw(): string;
    set pw(a: string);
    private mv;
    get aam(): Thickness;
    set aam(a: Thickness);
    private aaa;
    get aal(): Thickness;
    set aal(a: Thickness);
    private z9;
    get zg(): Brush;
    set zg(a: Brush);
    private yk;
    private e3;
    get fe(): FontInfo;
    set fe(a: FontInfo);
    get pr(): string;
    set pr(a: string);
    private mu;
    get zd(): Brush;
    set zd(a: Brush);
    private yh;
    private e0;
    get fb(): FontInfo;
    set fb(a: FontInfo);
    get p2(): string;
    set p2(a: string);
    private mw;
    get zf(): Brush;
    set zf(a: Brush);
    private yj;
    private e2;
    get fd(): FontInfo;
    set fd(a: FontInfo);
    get aaf(): Thickness;
    set aaf(a: Thickness);
    private z3;
    get ct(): LegendItemBadgeShape;
    set ct(a: LegendItemBadgeShape);
    private cr;
    get bs(): DataLegendUnitsMode;
    set bs(a: DataLegendUnitsMode);
    private br;
    get qc(): string;
    set qc(a: string);
    private mx;
    get zi(): Brush;
    set zi(a: Brush);
    private ym;
    get aao(): Thickness;
    set aao(a: Thickness);
    private aac;
    private e5;
    get fg(): FontInfo;
    set fg(a: FontInfo);
    get aan(): Thickness;
    set aan(a: Thickness);
    private aab;
    get zh(): Brush;
    set zh(a: Brush);
    private yl;
    private e4;
    get ff(): FontInfo;
    set ff(a: FontInfo);
    get bo(): DataLegendLabelMode;
    set bo(a: DataLegendLabelMode);
    private bn;
    get zc(): Brush;
    set zc(a: Brush);
    private yg;
    get aak(): Thickness;
    set aak(a: Thickness);
    private z8;
    private ez;
    get fa(): FontInfo;
    set fa(a: FontInfo);
    seriesAdded: (sender: any, args: ChartSeriesEventArgs) => void;
    w8(a: Series): void;
    seriesRemoved: (sender: any, args: ChartSeriesEventArgs) => void;
    xg(a: Series): void;
    seriesPointerEnter: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    xc(a: Series, b: any, c: Point): void;
    seriesPointerLeave: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    xd(a: Series, b: any, c: Point): void;
    seriesPointerMove: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    xe(a: Series, b: any, c: Point): void;
    seriesPointerDown: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    xb(a: Series, b: any, c: Point): void;
    seriesPointerUp: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    xf(a: Series, b: any, c: Point): void;
    seriesClick: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    w9(a: Series, b: DomainChartSeriesPointerEventArgs): void;
    plotAreaPointerEnter: (sender: any, args: DomainChartPlotAreaPointerEventArgs) => void;
    w2(a: Point): void;
    plotAreaPointerLeave: (sender: any, args: DomainChartPlotAreaPointerEventArgs) => void;
    w3(a: Point): void;
    plotAreaPointerMove: (sender: any, args: DomainChartPlotAreaPointerEventArgs) => void;
    w4(a: Point): void;
    plotAreaPointerDown: (sender: any, args: DomainChartPlotAreaPointerEventArgs) => void;
    w1(a: Point): void;
    plotAreaPointerUp: (sender: any, args: DomainChartPlotAreaPointerEventArgs) => void;
    w5(a: Point): void;
    calloutStyleUpdating: (sender: any, args: CalloutStyleUpdatingEventArgs) => void;
    wz(a: any, b: CalloutStyleUpdatingEventArgs): void;
    calloutRenderStyleUpdating: (sender: any, args: CalloutRenderStyleUpdatingEventArgs) => void;
    wy(a: any, b: CalloutRenderStyleUpdatingEventArgs): void;
    calloutLabelUpdating: (sender: any, args: CalloutLabelUpdatingEventArgs) => void;
    wx(a: any, b: CalloutLabelUpdatingEventArgs): void;
    selectedSeriesItemsChanged: (sender: any, e: SeriesViewerSelectedSeriesItemsChangedEventArgs) => void;
    w7(a: any, b: SeriesViewerSelectedSeriesItemsChangedEventArgs): void;
    focusedSeriesItemsChanged: (sender: any, e: SeriesViewerSelectedSeriesItemsChangedEventArgs) => void;
    w0(a: any, b: SeriesViewerSelectedSeriesItemsChangedEventArgs): void;
    private xa;
    private h4;
    wv(a: () => void): void;
    private fj;
    ww(a: () => void, b: boolean): {
        p1?: boolean;
    };
    protected get_hi(): boolean;
    protected get hi(): boolean;
    protected vr(a: XamDataChart, b: any): void;
    protected vi(): void;
    protected ae(a: BrushCollection): BrushCollection;
    protected zt(a: Brush): Brush;
    protected vx(a: Series, b: number): void;
    protected abstract u7(): void;
    protected get gn(): boolean;
    private fn;
    protected vc(): void;
    protected vo(): void;
    protected xh(a: XamDataChart): void;
    protected u2(a: Series, b: number): void;
    protected abstract u1(a: Series, b: number): void;
    protected c3(a: Series, b: number): MarkerType;
    protected c2(a: Series): MarkerType;
    protected c4(a: Series): MarkerType;
    protected mh(): any;
    protected mg(): any;
    protected get_ha(): boolean;
    protected get ha(): boolean;
    protected id(): IEnumerable;
    protected wn(a: string, b: any, c: any): void;
    private hv;
    private hz;
    private wg;
    private u0;
    private uz;
    private wl;
    private wq;
    wf(a: any, b: DataSourcePropertiesRequestedChangedEventArgs): void;
    private xx;
    private wp;
    abstract get cc(): DomainType;
    private ay;
    private au;
    private at;
    private ek;
    private el;
    private a6;
    private es;
    private et;
    private ax;
    private aw;
    private av;
    private en;
    private em;
    private a5;
    get a4(): ChartSortDescriptionCollection;
    get a0(): ChartSortDescriptionCollection;
    get az(): ChartSortDescriptionCollection;
    get eo(): FilterExpressionCollection;
    get ep(): FilterExpressionCollection;
    get a8(): ChartSummaryDescriptionCollection;
    private dx;
    get dz(): SeriesSelectionMode;
    set dz(a: SeriesSelectionMode);
    private dw;
    get dy(): SeriesSelectionMode;
    set dy(a: SeriesSelectionMode);
    private yt;
    get zu(): Brush;
    set zu(a: Brush);
    private yq;
    get zm(): Brush;
    set zm(a: Brush);
    private du;
    get dv(): SeriesSelectionBehavior;
    set dv(a: SeriesSelectionBehavior);
    private ao;
    get selectedSeriesItems(): ChartSelectedItemCollection;
    private an;
    get focusedSeriesItems(): ChartSelectedItemCollection;
    get a3(): ChartSortDescriptionCollection;
    get a2(): ChartSortDescriptionCollection;
    get a1(): ChartSortDescriptionCollection;
    get eq(): FilterExpressionCollection;
    get er(): FilterExpressionCollection;
    get a7(): ChartSummaryDescriptionCollection;
    private m5;
    get r4(): string;
    set r4(a: string);
    private m1;
    get rb(): string;
    set rb(a: string);
    private m3;
    get r0(): string;
    set r0(a: string);
    private m2;
    get ry(): string;
    set ry(a: string);
    private m4;
    get r2(): string;
    set r2(a: string);
    filterStringErrorsParsing: (sender: any, args: FilterStringErrorsParsingEventArgs) => void;
    private m6;
    get r6(): string;
    set r6(a: string);
    private l6;
    get itemsSource(): any;
    set itemsSource(a: any);
    private l4;
    get actualItemsSource(): any;
    set actualItemsSource(a: any);
    private l5;
    get highlightedItemsSource(): any;
    set highlightedItemsSource(a: any);
    private l3;
    get actualHighlightedItemsSource(): any;
    set actualHighlightedItemsSource(a: any);
    private h;
    get includedProperties(): string[];
    set includedProperties(a: string[]);
    private g;
    get excludedProperties(): string[];
    set excludedProperties(a: string[]);
    private r;
    get z(): BrushCollection;
    set z(a: BrushCollection);
    private u;
    get ad(): BrushCollection;
    set ad(a: BrushCollection);
    private p;
    get x(): BrushCollection;
    set x(a: BrushCollection);
    private q;
    get y(): BrushCollection;
    set y(a: BrushCollection);
    private cg;
    get legend(): IChartLegend;
    set legend(a: IChartLegend);
    private f9;
    protected get_hb(): boolean;
    protected set_hb(a: boolean): void;
    get hb(): boolean;
    set hb(a: boolean);
    private gc;
    protected get_hj(): boolean;
    protected set_hj(a: boolean): void;
    get hj(): boolean;
    set hj(a: boolean);
    private gf;
    protected get_hn(): boolean;
    protected set_hn(a: boolean): void;
    get hn(): boolean;
    set hn(a: boolean);
    private gh;
    protected get_hq(): boolean;
    protected set_hq(a: boolean): void;
    get hq(): boolean;
    set hq(a: boolean);
    private dh;
    protected get_di(): SeriesHighlightedValuesDisplayMode;
    protected set_di(a: SeriesHighlightedValuesDisplayMode): void;
    get di(): SeriesHighlightedValuesDisplayMode;
    set di(a: SeriesHighlightedValuesDisplayMode);
    private gb;
    protected get_he(): boolean;
    protected set_he(a: boolean): void;
    get he(): boolean;
    set he(a: boolean);
    private aar;
    protected get_aat(): Visibility;
    protected set_aat(a: Visibility): void;
    get aat(): Visibility;
    set aat(a: Visibility);
    private aas;
    protected get_aau(): Visibility;
    protected set_aau(a: Visibility): void;
    get aau(): Visibility;
    set aau(a: Visibility);
    private z0;
    get z2(): Rect;
    set z2(a: Rect);
    get z1(): Rect;
    private m9;
    get tn(): string;
    set tn(a: string);
    private m7;
    get tc(): string;
    set tc(a: string);
    private xz;
    get x1(): HorizontalAlignment;
    set x1(a: HorizontalAlignment);
    private xy;
    get x0(): HorizontalAlignment;
    set x0(a: HorizontalAlignment);
    private ef;
    get eg(): UnknownValuePlotting;
    set eg(a: UnknownValuePlotting);
    private i4;
    protected get_kh(): number;
    protected set_kh(a: number): void;
    get kh(): number;
    set kh(a: number);
    private ja;
    get kn(): number;
    set kn(a: number);
    private dn;
    get dp(): SeriesOutlineMode;
    set dp(a: SeriesOutlineMode);
    private cz;
    get c0(): MarkerOutlineMode;
    set c0(a: MarkerOutlineMode);
    private cx;
    get cy(): MarkerFillMode;
    set cy(a: MarkerFillMode);
    private ix;
    get ka(): number;
    set ka(a: number);
    private iy;
    get kb(): number;
    set kb(a: number);
    private c5;
    get c6(): MarkerTypeCollection;
    set c6(a: MarkerTypeCollection);
    private cv;
    get cw(): MarkerAutomaticBehavior;
    set cw(a: MarkerAutomaticBehavior);
    private s;
    get ab(): BrushCollection;
    set ab(a: BrushCollection);
    private t;
    get ac(): BrushCollection;
    set ac(a: BrushCollection);
    private li;
    get ly(): number;
    set ly(a: number);
    private ie;
    get jt(): number;
    set jt(a: number);
    private fm;
    get gm(): boolean;
    set gm(a: boolean);
    private v;
    get af(): BrushCollection;
    set af(a: BrushCollection);
    private ec;
    get ed(): TrendLineType;
    set ed(a: TrendLineType);
    private jg;
    get kt(): number;
    set kt(a: number);
    private ee;
    get trendLineTypes(): TrendLineTypeCollection;
    set trendLineTypes(a: TrendLineTypeCollection);
    private gi;
    protected get_hs(): boolean;
    protected set_hs(a: boolean): void;
    get hs(): boolean;
    set hs(a: boolean);
    private fl;
    get gl(): boolean;
    set gl(a: boolean);
    private i1;
    get ke(): number;
    set ke(a: number);
    private i3;
    get kg(): number;
    set kg(a: number);
    private i2;
    get kf(): number;
    set kf(a: number);
    private i0;
    get kd(): number;
    set kd(a: number);
    protected wm(): void;
    private lg;
    get lw(): number;
    set lw(a: number);
    private le;
    get lu(): number;
    set lu(a: number);
    private lj;
    get lz(): number;
    set lz(a: number);
    private a9;
    get ba(): ComputedPlotAreaMarginMode;
    set ba(a: ComputedPlotAreaMarginMode);
    protected bb(): ComputedPlotAreaMarginMode;
    private dq;
    get dr(): SeriesPlotAreaMarginHorizontalMode;
    set dr(a: SeriesPlotAreaMarginHorizontalMode);
    private ds;
    get dt(): SeriesPlotAreaMarginVerticalMode;
    set dt(a: SeriesPlotAreaMarginVerticalMode);
    private dl;
    get dm(): SeriesHighlightingMode;
    set dm(a: SeriesHighlightingMode);
    private dj;
    get dk(): SeriesHighlightingBehavior;
    set dk(a: SeriesHighlightingBehavior);
    private io;
    get j1(): number;
    set j1(a: number);
    private cn;
    get co(): LegendHighlightingMode;
    set co(a: LegendHighlightingMode);
    private cs;
    get cu(): LegendItemBadgeShape;
    set cu(a: LegendItemBadgeShape);
    private cp;
    get cq(): LegendItemBadgeMode;
    set cq(a: LegendItemBadgeMode);
    private ln;
    get l2(): number;
    set l2(a: number);
    private ea;
    get eb(): ToolTipType;
    set eb(a: ToolTipType);
    private bc;
    get crosshairsDisplayMode(): CrosshairsDisplayMode;
    set crosshairsDisplayMode(a: CrosshairsDisplayMode);
    private fx;
    get gv(): boolean;
    set gv(a: boolean);
    private yd;
    get y9(): Brush;
    set y9(a: Brush);
    private ii;
    get jw(): number;
    set jw(a: number);
    private yc;
    get y8(): Brush;
    set y8(a: Brush);
    private fu;
    get crosshairsAnnotationEnabled(): boolean;
    set crosshairsAnnotationEnabled(a: boolean);
    private fw;
    get gu(): boolean;
    set gu(a: boolean);
    private fv;
    get gt(): boolean;
    set gt(a: boolean);
    private x8;
    get y4(): Brush;
    set y4(a: Brush);
    private ya;
    get y6(): Brush;
    set y6(a: Brush);
    private x9;
    get y5(): Brush;
    set y5(a: Brush);
    private yb;
    get y7(): Brush;
    set y7(a: Brush);
    private k9;
    get lp(): number;
    set lp(a: number);
    private la;
    get lq(): number;
    set lq(a: number);
    private ge;
    get shouldAvoidAxisAnnotationCollisions(): boolean;
    set shouldAvoidAxisAnnotationCollisions(a: boolean);
    private gg;
    get ho(): boolean;
    set ho(a: boolean);
    private f5;
    get finalValueAnnotationsVisible(): boolean;
    set finalValueAnnotationsVisible(a: boolean);
    private yo;
    get zk(): Brush;
    set zk(a: Brush);
    private yp;
    get zl(): Brush;
    set zl(a: Brush);
    private ld;
    get lt(): number;
    set lt(a: number);
    private fo;
    get autoCalloutsVisible(): boolean;
    set autoCalloutsVisible(a: boolean);
    private ft;
    get gs(): boolean;
    set gs(a: boolean);
    private fp;
    get go(): boolean;
    set go(a: boolean);
    private gj;
    get ht(): boolean;
    set ht(a: boolean);
    private ag;
    get ah(): CalloutCollisionMode;
    set ah(a: CalloutCollisionMode);
    private fr;
    get gq(): boolean;
    set gq(a: boolean);
    private fs;
    get gr(): boolean;
    set gr(a: boolean);
    private fq;
    get gp(): boolean;
    set gp(a: boolean);
    private ih;
    get jv(): number;
    set jv(a: number);
    private x2;
    get yy(): Brush;
    set yy(a: Brush);
    private x6;
    get y2(): Brush;
    set y2(a: Brush);
    private x7;
    get y3(): Brush;
    set y3(a: Brush);
    private x5;
    get y1(): Brush;
    set y1(a: Brush);
    private x3;
    get yz(): Brush;
    set yz(a: Brush);
    private x4;
    get y0(): Brush;
    set y0(a: Brush);
    private k8;
    get lo(): number;
    set lo(a: number);
    private h9;
    get calloutsItemsSource(): IEnumerable;
    set calloutsItemsSource(a: IEnumerable);
    private aj;
    get ak(): CalloutPlacementPositionsCollection;
    set ak(a: CalloutPlacementPositionsCollection);
    private mp;
    get n6(): string;
    set n6(a: string);
    private mq;
    get n8(): string;
    set n8(a: string);
    private mo;
    get nt(): string;
    set nt(a: string);
    private mn;
    get np(): string;
    set np(a: string);
    private ew;
    get e7(): FontInfo;
    set e7(a: FontInfo);
    private eh;
    get valueLines(): ValueModeCollection;
    set valueLines(a: ValueModeCollection);
    private w;
    get valueLinesBrushes(): BrushCollection;
    set valueLinesBrushes(a: BrushCollection);
    private jh;
    get ku(): number;
    set ku(a: number);
    private gd;
    protected get_hm(): boolean;
    protected set_hm(a: boolean): void;
    get hm(): boolean;
    set hm(a: boolean);
    get d4(): SeriesViewerScrollbarMode;
    set d4(a: SeriesViewerScrollbarMode);
    private d2;
    get d5(): SeriesViewerScrollbarMode;
    set d5(a: SeriesViewerScrollbarMode);
    private d3;
    get d1(): SeriesViewerHorizontalScrollbarPosition;
    set d1(a: SeriesViewerHorizontalScrollbarPosition);
    private d0;
    get d9(): SeriesViewerVerticalScrollbarPosition;
    set d9(a: SeriesViewerVerticalScrollbarPosition);
    private d8;
    get zr(): Brush;
    set zr(a: Brush);
    private yr;
    get zs(): Brush;
    set zs(a: Brush);
    private ys;
    get j6(): number;
    set j6(a: number);
    private it;
    get j5(): number;
    set j5(a: number);
    private is;
    get j2(): number;
    set j2(a: number);
    private ip;
    get j3(): number;
    set j3(a: number);
    private iq;
    get j4(): number;
    set j4(a: number);
    private ir;
    get j8(): number;
    set j8(a: number);
    private iv;
    get j7(): number;
    set j7(a: number);
    private iu;
    get g4(): boolean;
    set g4(a: boolean);
    private f6;
    static readonly rt: string;
    get zx(): Brush;
    set zx(a: Brush);
    private yw;
    get zy(): Brush;
    set zy(a: Brush);
    private yx;
    get ky(): number;
    set ky(a: number);
    private jl;
    get kx(): number;
    set kx(a: number);
    private jk;
    get kv(): number;
    set kv(a: number);
    private ji;
    get k1(): number;
    set k1(a: number);
    private jo;
    get kw(): number;
    set kw(a: number);
    private jj;
    get k0(): number;
    set k0(a: number);
    private jn;
    get kz(): number;
    set kz(a: number);
    private jm;
    get hu(): boolean;
    set hu(a: boolean);
    private gk;
    static readonly um: string;
    get k3(): number;
    set k3(a: number);
    private jq;
    get k2(): number;
    set k2(a: number);
    private jp;
    get k5(): number;
    set k5(a: number);
    private js;
    get k4(): number;
    set k4(a: number);
    private jr;
}
